/*
/// Table of Contents (ToC)
*/

.toc {
  padding: 1.125rem 0;
  font-size: var(--text-xs);
}

.toc summary + * {
	margin-top: 1.5em;
}

.toc ul {
  list-style: none;
  padding-left: 0;
  margin-bottom: 0;
}

.toc ul ul {
  margin-left: 0;
  padding-left: var(--baseline);
}

.toc li {
  transition: color 0.2s ease-out;
}

.toc li > a {
  display: inline-block;
  margin-bottom: 0.25rem;
  color: var(--link-menu-color,--color-gray-500);
  vertical-align: middle;
  text-decoration: none;
}

.toc li.active a,
.toc li > a:focus,
.toc li > a:active {
  color: var(--link-menu-color--hover,--color-gray-700);
}

@media (hover: hover) {

  .toc li > a:hover {
    color: var(--link-menu-color--hover,--color-gray-700);
  }

}

@media screen and (min-width: 80rem) { /* >= 1280px */

	.toc {
		border-bottom-width: 0;
	}

}
